views_natural_sort.settings:
  type: config_object
  label: "Views Natural Sort Settings"
  mapping:
    dependencies:
      type: config_dependencies
      label: 'Dependencies'
    rebuild_items_per_batch:
      type: integer
      label: "Number of records to rebuild per batch"
    transformation_settings:
      type: sequence
      label: "All Transformation Settings"
      sequence:
        type: mapping
        mapping:
          enabled:
            type: boolean
            label: "Transformation Enabled"
          settings:
            type: ignore
            label: "Transformation Settings"


